%define pypi_name	jedi

Name:		python-%{pypi_name}
Version:	0.19.2
Release:	%mkrel 2
Summary:	An auto completion tool for Python that can be used for text editors
Group:		Development/Python
License:	LGPLv3
URL:		https://jedi.readthedocs.org/en/latest/index.html
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
Jedi is an auto completion tool for Python. It works. With and without syntax
errors. Sometimes it sucks, but that's normal in dynamic languages. But it
sucks less than other tools. It understands almost all of the basic Python
syntax elements including many built-ins.

Jedi uses a very simple interface to connect with IDE's. As an reference, there
is a VIM implementation, which uses Jedi's auto completion. However, I
encourage you to use Jedi in your IDEs. Start writing plugins! If there are
problems with licensing, just contact me.

%package -n	python3-%{pypi_name}
Summary:	An auto completion tool for Python 3 that can be used for text editors
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
Jedi is an auto completion tool for Python 3. It works. With and without syntax
errors. Sometimes it sucks, but that's normal in dynamic languages. But it
sucks less than other tools. It understands almost all of the basic Python
syntax elements including many built-ins.

Jedi uses a very simple interface to connect with IDE's. As an reference, there
is a VIM implementation, which uses Jedi's auto completion. However, I
encourage you to use Jedi in your IDEs. Start writing plugins! If there are
problems with licensing, just contact me.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jedi

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt


%changelog
* Sat Mar 01 2025 wally <wally> 0.19.2-2.mga10
+ Revision: 2155917
- rebuild for python3.13

* Sat Feb 15 2025 daviddavid <daviddavid> 0.19.2-1.mga10
+ Revision: 2148890
- new version: 0.19.2

* Fri Dec 08 2023 wally <wally> 0.19.1-2.mga10
+ Revision: 2015544
- rebuild for py3.12

* Mon Oct 09 2023 daviddavid <daviddavid> 0.19.1-1.mga10
+ Revision: 1993856
- new version: 0.19.1

* Wed Aug 30 2023 daviddavid <daviddavid> 0.19.0-1.mga10
+ Revision: 1981687
- new version: 0.19.0
- switch to pyproject

* Wed Nov 23 2022 daviddavid <daviddavid> 0.18.2-1.mga9
+ Revision: 1910523
- new version: 0.18.2

* Mon Aug 22 2022 kekepower <kekepower> 0.18.1-1.mga9
+ Revision: 1879468
- Update to version 0.18.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tv <tv> 0.18.0-3.mga9
+ Revision: 1773806
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.18.0-2.mga9
+ Revision: 1703183
- rebuild for python 3.9

* Mon Jan 04 2021 daviddavid <daviddavid> 0.18.0-1.mga8
+ Revision: 1668648
- new version: 0.18.0

* Tue Aug 04 2020 daviddavid <daviddavid> 0.17.2-1.mga8
+ Revision: 1610866
- new version: 0.17.2

* Sun Jun 21 2020 daviddavid <daviddavid> 0.17.1-1.mga8
+ Revision: 1598247
- new version: 0.17.1

* Fri Apr 17 2020 daviddavid <daviddavid> 0.17.0-1.mga8
+ Revision: 1567955
- new version: 0.17.0

* Thu Feb 20 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1545311
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1484628
- new version: 0.16.0

* Sun Dec 22 2019 daviddavid <daviddavid> 0.15.2-1.mga8
+ Revision: 1469442
- new version: 0.15.2

* Fri Sep 13 2019 tv <tv> 0.15.1-2.mga8
+ Revision: 1440271
- rebuild for python-3.8
- drop python2 subpkg

* Fri Aug 23 2019 daviddavid <daviddavid> 0.15.1-1.mga8
+ Revision: 1431395
- new version: 0.15.1

* Mon Jul 15 2019 daviddavid <daviddavid> 0.14.1-1.mga8
+ Revision: 1421511
- new version: 0.14.1

* Sun Jun 30 2019 daviddavid <daviddavid> 0.14.0-1.mga8
+ Revision: 1416332
- new version: 0.14.0

* Wed Feb 27 2019 daviddavid <daviddavid> 0.13.3-1.mga7
+ Revision: 1370335
- new version: 0.13.3

* Mon Jan 07 2019 shlomif <shlomif> 0.13.2-1.mga7
+ Revision: 1350451
- Rebuild for python3 3.7

* Wed Oct 10 2018 daviddavid <daviddavid> 0.13.1-1.mga7
+ Revision: 1319188
- new version: 0.13.1

* Thu Sep 20 2018 umeabot <umeabot> 0.12.1-2.mga7
+ Revision: 1289114
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 daviddavid <daviddavid> 0.12.1-1.mga7
+ Revision: 1241697
- new version: 0.12.1

* Mon Apr 16 2018 daviddavid <daviddavid> 0.12.0-1.mga7
+ Revision: 1219457
- new version: 0.12.0
- remove merged upstream patch

* Sat Jan 06 2018 daviddavid <daviddavid> 0.11.1-1.mga7
+ Revision: 1190629
- add patch to properly exclude 'test' directory
- new version: 0.11.1

* Fri Sep 22 2017 daviddavid <daviddavid> 0.11.0-1.mga7
+ Revision: 1157642
- new version: 0.11.0
- rename python-jedi to python2-jedi

* Sat Aug 05 2017 pterjan <pterjan> 0.10.2-3.mga7
+ Revision: 1135463
- Rebuild for python 3.6

* Thu Aug 03 2017 tv <tv> 0.10.2-2.mga7
+ Revision: 1134290
- rebuild for new python

* Wed Jul 19 2017 daviddavid <daviddavid> 0.10.2-1.mga7
+ Revision: 1125004
- new version: 0.10.2
- update Source URL

* Thu Dec 17 2015 daviddavid <daviddavid> 0.9.0-1.mga6
+ Revision: 911220
- imported package python-jedi (based on Fedora)

